Loading...
Searching...
No Matches
globjects::ObjectVisitor Class Reference

Implements a Visitor Pattern to iterate over all tracked globjects objects. More...

`#include <globjects/include/globjects/ObjectVisitor.h>`

## Public Member Functions

| ObjectVisitor ()
virtual | ~ObjectVisitor ()
virtual void | visit (Object *object)
virtual void | visitBuffer (Buffer *buffer)
virtual void | visitFrameBufferObject (Framebuffer *fbo)
virtual void | visitProgram (Program *program)
virtual void | visitProgramPipeline (ProgramPipeline *programPipeline)
virtual void | visitQuery (Query *query)
virtual void | visitRenderBufferObject (Renderbuffer *rbo)
virtual void | visitSampler (Sampler *sampler)
virtual void | visitShader (Shader *shader)
virtual void | visitTexture (Texture *texture)
virtual void | visitTransformFeedback (TransformFeedback *transformfeedback)
virtual void | visitVertexArray (VertexArray *vao)

## Detailed Description

Implements a Visitor Pattern to iterate over all tracked globjects objects.

Subclasses should implement the appropriate visit*() methods for those types they want to handle.

## Constructor & Destructor Documentation

## ObjectVisitor()

globjects::ObjectVisitor::ObjectVisitor | ( |  | ) |

## ~ObjectVisitor()

virtual globjects::ObjectVisitor::~ObjectVisitor | ( |  | ) |

virtual

## Member Function Documentation

## visit()

virtual void globjects::ObjectVisitor::visit | ( | Object * | object | ) |

virtual

## visitBuffer()

virtual void globjects::ObjectVisitor::visitBuffer | ( | Buffer * | buffer | ) |

virtual

## visitFrameBufferObject()

virtual void globjects::ObjectVisitor::visitFrameBufferObject | ( | Framebuffer * | fbo | ) |

virtual

## visitProgram()

virtual void globjects::ObjectVisitor::visitProgram | ( | Program * | program | ) |

virtual

## visitProgramPipeline()

virtual void globjects::ObjectVisitor::visitProgramPipeline | ( | ProgramPipeline * | programPipeline | ) |

virtual

## visitQuery()

virtual void globjects::ObjectVisitor::visitQuery | ( | Query * | query | ) |

virtual

## visitRenderBufferObject()

virtual void globjects::ObjectVisitor::visitRenderBufferObject | ( | Renderbuffer * | rbo | ) |

virtual

## visitSampler()

virtual void globjects::ObjectVisitor::visitSampler | ( | Sampler * | sampler | ) |

virtual

## visitShader()

virtual void globjects::ObjectVisitor::visitShader | ( | Shader * | shader | ) |

virtual

## visitTexture()

virtual void globjects::ObjectVisitor::visitTexture | ( | Texture * | texture | ) |

virtual

## visitTransformFeedback()

virtual void globjects::ObjectVisitor::visitTransformFeedback | ( | TransformFeedback * | transformfeedback | ) |

virtual

## visitVertexArray()

virtual void globjects::ObjectVisitor::visitVertexArray | ( | VertexArray * | vao | ) |

virtual

The documentation for this class was generated from the following file:

- ObjectVisitor.h